Package org.kapott.hbci.passport.rdhXfile

# Class HBCIAccount.BankData

java.lang.Object
org.kapott.hbci.passport.rdhXfile.TLV
org.kapott.hbci.passport.rdhXfile.HBCIAccount.BankData

Enclosing class:
  HBCIAccount

public static class HBCIAccount.BankData extends TLV

## Constructor Summary

Constructors
Constructor
Description
`BankData()`
`BankData(TLV tlv)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBLZ()`
`String`
`getCountry()`
`String`
`getCustomerId()`
`String`
`getHost()`
`byte`
`getKeyStatus()`
`long`
`getSigId()`
`String`
`getSysId()`
`String`
`getUserId()`
`void`
`setBLZ(String blz)`
`void`
`setCountry(String country)`
`void`
`setCustomerId(String customerid)`
`void`
`setHost(String host)`
`void`
`setKeyStatus(byte keystatus)`
`void`
`setSigId(long sigid)`
`void`
`setSysId(String sysid)`
`void`
`setUserId(String userid)`
`String`
`toString()`
`void`
`updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BankData

public BankData()

### BankData

public BankData(TLV tlv)

## Method Details

### getCountry

public String getCountry()

### setCountry

public void setCountry(String country)

### getBLZ

public String getBLZ()

### setBLZ

public void setBLZ(String blz)

### getUserId

public String getUserId()

### setUserId

public void setUserId(String userid)

### getCustomerId

public String getCustomerId()

### setCustomerId

public void setCustomerId(String customerid)

### getHost

public String getHost()

### setHost

public void setHost(String host)

### getSysId

public String getSysId()

### setSysId

public void setSysId(String sysid)

### getSigId

public long getSigId()

### setSigId

public void setSigId(long sigid)

### getKeyStatus

public byte getKeyStatus()

### setKeyStatus

public void setKeyStatus(byte keystatus)

### updateData

public void updateData()

Overrides:
  `updateData` in class `TLV`

### toString

public String toString()

Overrides:
  `toString` in class `Object`